<?php

// WordPress Social Invites widget
class mdb_social_invites_widget extends WP_Widget {

function __construct() {
parent::__construct(
// Base ID of your widget
'mdb_social_invites_widget', 

// Widget name will appear in UI
__('WP Social Invites', 'mdb_social_invites_widget_domain'), 

// Widget description
array( 'description' => __( 'Sample widget based on WPBeginner Tutorial', 'mdb_social_invites_widget_domain' ), ) 
);
}

// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
// before and after widget arguments are defined by themes
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];

// This is where you run the code and display the output
?>

<div class="mdb-shortcode-box">
	<?php if( get_option( 'mdb_display_type' ) == 'page' ) { ?>
		<a class="facebook-invite" href="http://www.facebook.com/dialog/send?app_id=<?php echo get_option( 'mdb_facebookappid' ); ?>&link=<?php if( get_option( 'mdb_link' ) ){ echo esc_url(get_option( 'mdb_link' )); }else{ echo esc_url(get_site_url()); } ?>&redirect_uri=<?php if( get_option( 'mdb_redirect_url' ) ){ echo esc_url(get_option( 'mdb_redirect_url' )); }else{ esc_url(the_permalink()); } ?>&display=<?php if( get_option( 'mdb_display_type' ) ){ echo get_option( 'mdb_display_type' ); }else{ echo 'popup'; } ?>" target="_blank"><img src="<?php echo MDB_WSI_PLUGIN_URL .'image/facebook-invite-button.png'; ?>" /></a>
	<?php }else{ ?>
		<a id="facebook-invite-friends facebook-invite" class="facebook-invite-friends"><img src="<?php echo MDB_WSI_PLUGIN_URL .'image/facebook-invite-button.png'; ?>" /></a>
	<?php } ?>
</div>

<script type="text/javascript">
jQuery('.facebook-invite-friends').click(function(){
    window.open("http://www.facebook.com/dialog/send?app_id=<?php echo get_option( 'mdb_facebookappid' ); ?>&link=<?php if( get_option( 'mdb_link' ) ){ echo esc_url(get_option( 'mdb_link' )); }else{ echo esc_url(get_site_url()); } ?>&redirect_uri=<?php if( get_option( 'mdb_redirect_url' ) ){ echo esc_url(get_option( 'mdb_redirect_url' )); }else{ esc_url(the_permalink()); } ?>&display=<?php if( get_option( 'mdb_display_type' ) ){ echo get_option( 'mdb_display_type' ); }else{ echo 'popup'; } ?>", "Join Us", "toolbar=no,scrollbars=no,resizable=yes,top=25%,left=25%,width=650,height=400");
});
</script>

<?php 
echo $args['after_widget'];
}
		
// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'title' ] ) ) {
$title = $instance[ 'title' ];
}
else {
$title = __( 'WP Social Invites', 'mdb_social_invites_widget_domain' );
}
// Widget admin form
?>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
return $instance;
}
} // Class wpb_widget ends here

// Register and load the widget
function mdb_social_invites_load_widget() {
	register_widget( 'mdb_social_invites_widget' );
}
add_action( 'widgets_init', 'mdb_social_invites_load_widget' );

